Page MenuHomeFreeBSD

mlx4_en: Implement SIOCGIFRSS{KEY,HASH}
ClosedPublic

Authored by sepherosa_gmail.com on Aug 31 2017, 5:31 AM.

Diff Detail

Lint
Lint Skipped
Unit
Unit Tests Skipped

Event Timeline

gallatin accepted this revision.Aug 31 2017, 1:14 PM
gallatin added inline comments.
sys/dev/mlx4/mlx4_en/mlx4_en_netdev.c
1905

Why the ifdefs?

This revision is now accepted and ready to land.Aug 31 2017, 1:14 PM
sys/dev/mlx4/mlx4_en/mlx4_en_netdev.c
1905

I was not so sure whether I could MFC D12174 to 10-stable/11-stable or not, but I definitely want to MFC driver bits to 10-stable/11-stable.

If D12174 goes well, I probably will MFC it to 10-stable/11-stable. I think adding IOCs does not break ABI.

hselasky added inline comments.Sep 6 2017, 2:12 PM
sys/dev/mlx4/mlx4_en/mlx4_en_netdev.c
2041

Hi,

Please add a "length" argument to rss_key and optimise away the intermediate "key" storage.

--HPS

sys/dev/mlx4/mlx4_en/mlx4_en_rx.c
821

BSD-style: 4-space indent after wrap.

856

Can you optimise away this temporary storage?

sys/dev/mlx4/mlx4_en/mlx4_en_netdev.c
2041

Toeplitz key size is pretty standard. But, sure, I could add a length parameter.

As about optimizing away the key, it's fine w/ me; though I will have to say both code you mentioned is not on hot path.

sys/dev/mlx4/mlx4_en/mlx4_en_rx.c
821

Heh, OK. This is verbatim copy of the original code.

856

Sure.

Address Hans' comment

This revision now requires review to proceed.Sep 7 2017, 3:05 AM

Thank you. Currently reviewing this patch in Mellanox.

hselasky accepted this revision.Oct 2 2017, 12:02 PM

With some modifications.

This revision is now accepted and ready to land.Oct 2 2017, 12:02 PM
This revision was automatically updated to reflect the committed changes.